% demo1.m
%
% Simply load a single image and run the denoising numerical experiment.
% This reproduces one of the tests from Hammond and Simoncelli, 2008

addpath('oagsmnc');
addpath('oripyr');
addpath('utilities');
% replace with path of your matlab Steerable Pyramid Toolbox installation
addpath('~/matlab/matlabPyrTools'); 

im=double(imread('house.png'));

% calculate oagsmnc denoising with sigma_n = 50


Roagsmnc=oagsmncDemo(im,50);


figure(1)
showIm(Roagsmnc.im,[0 255]);
title('original image');
figure(2)
showIm(Roagsmnc.imn,[0 255]);
str=sprintf('noisy image PSNR = %g',Roagsmnc.PSNRn);
title(str);
figure(3)
showIm(Roagsmnc.imd,[0 255]);
str=sprintf('denoised image PSNR = %g',Roagsmnc.PSNRd);
title(str);

% other example ways of calling the code

% to force GSM estimation
% Rgsm=oagsmncDemo(im,50,'oagsmnc_control',{'beta_override',0});

% to force OAGSM estimation
% Roagsm=oagsmncDemo(im,50,'oagsmnc_control',{'beta_override',1});

% to use 8 steerable pyramid bands 
% (note: requires large amount of memory as implemented)
% Roagsmnc=oagsmncDemo(im,50,'oagsmnc_control',{'nbands',8});

