% polarmeshgrid : calculate mesh grid in polar coordinates
%
% polarmeshgrid takes a patch size description, Ks, and gives the
% polar coordinates of each location in the patch, with the patch center
% at the origin
%
% Inputs:
% Ks - 2x1 array describing patch size (should be same for square patch)
% 
% Ouputs :
% radp, thetap - 
% arrays of polar coordinates of meshgrid 
function [radp,thetap]=polarmeshgrid(Ks)
  [X,Y]=meshgrid(-Ks(1):Ks(1),-Ks(2):Ks(2));
  thetap=atan2(Y,X);
  radp=sqrt(X.^2+Y.^2);
